<?php

// Cible-requête Ajax : Renvoyer les données du mot


include('getword.php'); // Contient la fonction de mise en forme html d'un mot


// Récupérer les paramètres transmis
$idx = (isset($_REQUEST['idx'])) ? htmlspecialchars($_REQUEST['idx']) : '';
$fdic = (isset($_REQUEST['fdic'])) ? htmlspecialchars($_REQUEST['fdic']) : '';
$lg = (isset($_REQUEST['lg'])) ? htmlspecialchars($_REQUEST['lg']) : '';
$phpself = (isset($_REQUEST['phpself'])) ? htmlspecialchars($_REQUEST['phpself']) : '';
$htmplug = (isset($_REQUEST['htmplug'])) ? $_REQUEST['htmplug'] : '';
$htmplug = str_replace('[)1(]', '<', $htmplug);
$htmplug = str_replace('[)2(]', '>', $htmplug);
$htmplug = str_replace('\"', '', $htmplug);

// Charger les chaînes de l'interface multilingue 
// > création de l'Array global $sqlng_str
include ('lang/' . $lg . '.php' );


// Connexion  à la base-dico sqlite
$db = new PDO('sqlite:' . '../dic/' . $fdic, '', '');       
$res = $db->query('SELECT * FROM Data
                        WHERE idx=' . $idx ); 
        
$res = $res->fetch(PDO::FETCH_ASSOC);


$lstrel = Array (   'roots' => $sqlng_str[9],
                    'syn'   => $sqlng_str[10],
                    'see'   => $sqlng_str[11],
                    'ant'   => $sqlng_str[12]);

echo getHtmOfWordData($res, $db, $lstrel, $fdic, $phpself, $dom='entr', $stxt='', $srl=False, $lg, $htmplug);

?>
