<?php

// Cible-requête Ajax : Renvoyer l'index du mot le plus concordant


// Récupérer les paramètres transmis
$stxt = (isset($_REQUEST['stxt'])) ? htmlspecialchars($_REQUEST['stxt']) : '';
$fdic = (isset($_REQUEST['fdic'])) ? htmlspecialchars($_REQUEST['fdic']) : '';
$lg = (isset($_REQUEST['lg'])) ? htmlspecialchars($_REQUEST['lg']) : '';
$recstat = (isset($_REQUEST['recstat'])) ? htmlspecialchars($_REQUEST['recstat']) : '';

// Charger les chaînes de l'interface multilingue 
// > création de l'Array global $sqlng_str
include ('lang/' . $lg . '.php' );

// Fonction de mise à jour des statistiques
include('statupdate.php');

// Connexion  à la base-dico sqlite
$db = new PDO('sqlite:' . '../dic/' . $fdic, '', '');       
$res = $db->query('SELECT idx FROM Data
                   WHERE word LIKE' . $db->quote($stxt . '%') . '
                   LIMIT 1 '); 

$res = $res->fetch();
 
if($res[0] != '')
    {    
    echo $res[0];
    $success = 1;
    }        
else
    {
    echo '<br /><span class=warn> ', $sqlng_str[13], $stxt, $sqlng_str[14], '</span>';
    $success = 0;
    }

// Compléter les statistiques de consultation du dictionnaire (optionnel) 
if ($recstat)
    {
    statUpdate($stxt, $fdic, $success, $scriptdir='../');
    }


?>